package com.diagbot.dto;

import com.google.common.collect.Lists;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 推理出参
 * @author: gaodm
 * @time: 2020/8/6 9:54
 */
@Getter
@Setter
public class PushDTO {
    //症状
    private List<PushBaseDTO> symptom = new ArrayList<>();
    //体格检查
    private List<PushBaseDTO> vital = new ArrayList<>();
    //检验
    private List<PushBaseDTO> lis = new ArrayList<>();
    //检查
    private List<PushBaseDTO> pacs = new ArrayList<>();
    // 手术
    private List<PushBaseDTO> operations = new ArrayList<>();
    // 药品
    private List<PushBaseDTO> medicines = new ArrayList<>();
    // 并发症
    private List<PushBaseDTO> complications = new ArrayList<>();
    // 护理
    private List<PushBaseDTO> nurse = Lists.newArrayList();
    //诊断
    private Map<String, List<PushBaseDTO>> dis;
    // 可点击可能诊断
    private List<PushBaseDTO> clickPosDis = Lists.newArrayList();
    // 可点击下的诊断
    private List<PushBaseDTO> clickAffDis = Lists.newArrayList();
    //一般治疗
    private List<TreatDTO> treat = new ArrayList<>();
    //推送量表
    private List<PushScaleDTO> scale = Lists.newArrayList();

    // 记录调试信息
    private Map<String, Object> debug = new LinkedHashMap<>();
}
