package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统日志表
 * </p>
 *
 * @author zhoutg
 * @since 2021-10-22
 */
public class TranLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 日志ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 病人唯一标识（病人id、病历号等）
     */
    private String patientId;

    /**
     * 医院id
     */
    private Long hospitalId;


    private String deptName;

    /**
     * 子医院编码
     */
    private String subHospitalCode;

    /**
     * 子医院名称
     */
    private String subHospitalName;

    /**
     * 场景名称
     */
    private String sceneName;

    /**
     * 输入参数
     */
    private String params;

    /**
     * 返回参数
     */
    private String result;

    /**
     * 请求时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss.SSS",timezone = "GMT+8")
    private Date gmtReq;

    /**
     * 响应时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss.SSS",timezone = "GMT+8")
    private Date gmtResp;

    /**
     * 耗时
     */
    private String execTime;

    /**
     * 调用是否成功（0：失败；1：成功）
     */
    private Integer successFlag;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hosptialId) {
        this.hospitalId = hosptialId;
    }

    public String getSubHospitalCode() {
        return subHospitalCode;
    }

    public void setSubHospitalCode(String subHospitalCode) {
        this.subHospitalCode = subHospitalCode;
    }

    public String getSubHospitalName() {
        return subHospitalName;
    }

    public void setSubHospitalName(String subHospitalName) {
        this.subHospitalName = subHospitalName;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Date getGmtReq() {
        return gmtReq;
    }

    public void setGmtReq(Date gmtReq) {
        this.gmtReq = gmtReq;
    }

    public Date getGmtResp() {
        return gmtResp;
    }

    public void setGmtResp(Date gmtResp) {
        this.gmtResp = gmtResp;
    }

    public String getExecTime() {
        return execTime;
    }

    public void setExecTime(String execTime) {
        this.execTime = execTime;
    }

    public Integer getSuccessFlag() {
        return successFlag;
    }

    public void setSuccessFlag(Integer successFlag) {
        this.successFlag = successFlag;
    }

    @Override
    public String toString() {
        return "TranLog{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", patientId=" + patientId +
                ", hospitalId=" + hospitalId +
                ", subHospitalCode=" + subHospitalCode +
                ", subHospitalName=" + subHospitalName +
                ", sceneName=" + sceneName +
                ", params=" + params +
                ", result=" + result +
                ", gmtReq=" + gmtReq +
                ", gmtResp=" + gmtResp +
                ", execTime=" + execTime +
                ", successFlag=" + successFlag +
                "}";
    }
}