package com.diagbot.facade;

import com.diagbot.dto.IndicationDTO;
import com.diagbot.idc.VisibleIdCreater;
import com.diagbot.service.impl.MrServiceImpl;
import com.diagbot.util.RedisUtil;
import com.diagbot.vo.MrVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

/**
 * @Description: 病历保存到redis装饰层
 * @author: gaodm
 * @time: 2019/8/28 16:25
 */
@Component
public class MrFacade extends MrServiceImpl {

    @Autowired
    RedisUtil redisUtil;
    @Autowired
    VisibleIdCreater visibleIdCreater;

    private static final String MSGMR = "msgMr::";

    /**
     * 创建提醒类结果
     *
     * @param indicationDTO
     * @return
     */
    public String createIndicationMr(IndicationDTO indicationDTO) {
        String mrId = visibleIdCreater.getNextId(9).toString();
        redisUtil.setEx(MSGMR + mrId, indicationDTO, 15, TimeUnit.MINUTES);
        return mrId;
    }

    /**
     * 获取提醒类结果
     *
     * @param mrVO
     * @return
     */
    public IndicationDTO getIndicationMr(MrVO mrVO) {
        String mrId = MSGMR + mrVO.getMrId();
        return redisUtil.get(mrId);
    }
}
